Skip to content
Guides
API reference
stableshipment:update

Ship fulfillment order

Marks the order as shipped. From here it is tracked by its shipment.

POST/v1/fulfillment/orders/{id}/ship

Marks the order as shipped. From here it is tracked by its shipment.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/fulfillment/orders/string/ship" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "orderId": "string",  "orderNumber": "string",  "locationId": null,  "locationName": null,  "status": "pendingAssignment",  "shippingConnectionId": null,  "packageId": null,  "shipmentId": null,  "trackingNumber": null,  "trackingLink": null,  "labelUrl": null,  "carrierName": null,  "items": [    {      "orderItemId": "string",      "productId": null,      "variantId": null,      "title": "string",      "sku": null,      "quantity": 0.1,      "shippedQuantity": 0.1,      "remainingQuantity": 0.1    }  ],  "shipments": [    {      "id": "string",      "packageId": null,      "shipmentId": null,      "trackingNumber": null,      "trackingLink": null,      "labelUrl": null,      "carrierName": null,      "items": [        {          "orderItemId": "string",          "sku": null,          "quantity": 0.1,          "weight": 0.1        }      ],      "createdOn": "2019-08-24T14:15:22Z"    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}